# $Revision: 1.16.2.1 $, $Date: 2006/05/17 14:23:57 $
Summary:	A simple S-Lang based system performance monitor
Summary(pl):	Prosty monitor obcienia systemu oparty na bibliotece S-Lang
Name:		slmon
Version:	0.5.13
Release:	5
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/slmon/%{name}-%{version}.tar.gz
# Source0-md5:	9907c53e26b8dfb5d33af6da32ed89e3
URL:		http://slmon.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	libgtop-devel
BuildRequires:	popt-devel >= 1.1.3
BuildRequires:	slang-devel >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SLmon is a tool for monitoring system's performance. It displays
results using nice and (hopefully) readable text-based UI. Currently
monitored are: CPU load (SMP is supported), memory (including swap),
uptime, date and time, number of logged in users.

%description -l pl
SLmon jest aplikacj monitorujc obcienie systemu. Do wywietlania
wynikw uywa adnego i (tak mamy nadziej) czytelnego tekstowego
interfejsu uytkownika. Obecnie slmon pokazuje: obcienie procesora
(lub procesorw), zajto pamici (take swapa), uptime, dat i czas
oraz liczb zalogowanych uytkownikw.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--enable-strip \
	--with-libgtop=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS TODO slmonrc slmon.html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slmon.spec,v $
Revision 1.16.2.1  2006/05/17 14:23:57  baggins
- rel 5

Revision 1.16  2005/09/16 09:17:02  arekm
- rel 4

Revision 1.15  2005/05/21 17:35:11  ankry
- rel. 3

Revision 1.14  2004/09/17 00:32:09  havner
- rel 2 to rebuild with new gtop

Revision 1.13  2004/08/29 21:31:35  darekr
- update to 0.5.13

Revision 1.12  2004/01/30 12:35:04  pzurowski
- Updated to 0.5.12
- Added TODO to %%doc

Revision 1.11  2003/11/09 01:35:09  qboosh
- updated Source0 URL, typo

Revision 1.10  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.9  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.6  2002/05/21 23:14:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.4  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/07/31 07:00:38  migo
Initial release
